Zydis v4.1.1

Loading...
Searching...
No Matches
MetaInfo.h File Reference
`#include <Zydis/Defines.h>`
`#include <Zydis/Generated/EnumInstructionCategory.h>`
`#include <Zydis/Generated/EnumISASet.h>`
`#include <Zydis/Generated/EnumISAExt.h>`

Go to the source code of this file.

## Functions
ZYDIS_EXPORT const char * | ZydisCategoryGetString (ZydisInstructionCategory category)
| Returns the specified instruction category string.
ZYDIS_EXPORT const char * | ZydisISASetGetString (ZydisISASet isa_set)
| Returns the specified isa-set string.
ZYDIS_EXPORT const char * | ZydisISAExtGetString (ZydisISAExt isa_ext)
| Returns the specified isa-extension string.

## Function Documentation

## ◆ ZydisCategoryGetString()

ZYDIS_EXPORT const char * ZydisCategoryGetString | ( | ZydisInstructionCategory | category | ) |

Returns the specified instruction category string.

Parameters

  category | The instruction category.

Returns
  The instruction category string or ZYAN_NULL, if an invalid category was passed.

## ◆ ZydisISAExtGetString()

ZYDIS_EXPORT const char * ZydisISAExtGetString | ( | ZydisISAExt | isa_ext | ) |

Returns the specified isa-extension string.

Parameters

  isa_ext | The isa-extension.

Returns
  The isa-extension string or ZYAN_NULL, if an invalid isa-extension was passed.

## ◆ ZydisISASetGetString()

ZYDIS_EXPORT const char * ZydisISASetGetString | ( | ZydisISASet | isa_set | ) |

Returns the specified isa-set string.

Parameters

  isa_set | The isa-set.

Returns
  The isa-set string or ZYAN_NULL, if an invalid isa-set was passed.